'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fetch = require('node-fetch');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var fetch__default = /*#__PURE__*/_interopDefaultLegacy(fetch);

class FetchHttp {
  async send(method, url, options) {
    const requestInit = {
      method,
      body: options?.params,
      headers: options?.headers ? Object.entries(options.headers).reduce((acc, [name, headers]) => ({
        ...acc,
        [name]: headers.join(', ')
      }), {}) : undefined,
      signal: options?.signal,
      timeout: options?.timeout
    };
    const response = await fetch__default["default"](url, requestInit);
    return {
      data: await response.json(),
      status: response.status,
      statusText: response.statusText,
      headers: response.headers.raw()
    };
  }
}

exports.FetchHttp = FetchHttp;
//# sourceMappingURL=FetchHttp.cjs.map
