import fetch from 'node-fetch';

class FetchHttp {
  async send(method, url, options) {
    const requestInit = {
      method,
      body: options?.params,
      headers: options?.headers ? Object.entries(options.headers).reduce((acc, [name, headers]) => ({
        ...acc,
        [name]: headers.join(', ')
      }), {}) : undefined,
      signal: options?.signal,
      timeout: options?.timeout
    };
    const response = await fetch(url, requestInit);
    return {
      data: await response.json(),
      status: response.status,
      statusText: response.statusText,
      headers: response.headers.raw()
    };
  }
}

export { FetchHttp };
//# sourceMappingURL=FetchHttp.mjs.map
